Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Enum MessageNameType

    java.lang.Object
      java.lang.Enum<MessageNameType>
          be.fgov.ehealth.genericinsurability.core.v1.MessageNameType

All Implemented Interfaces:
  Serializable, Comparable<MessageNameType>

    public enum MessageNameType

extends Enum<MessageNameType>

Java class for MessageNameType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="MessageNameType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="M801000"/>
         <enumeration value="M801000ERR"/>
         <enumeration value="M801001"/>
         <enumeration value="M801900"/>
         <enumeration value="M410000"/>
         <enumeration value="M410001"/>
         <enumeration value="M410000ERR"/>
         <enumeration value="M410900"/>
         <enumeration value="M410908"/>
         <enumeration value="M410999"/>
         <enumeration value="M420000"/>
         <enumeration value="M420001"/>
         <enumeration value="M420000ERR"/>
         <enumeration value="M420900"/>
         <enumeration value="M420999"/>
         <enumeration value="M430000"/>
         <enumeration value="M430001"/>
         <enumeration value="M430000ERR"/>
         <enumeration value="M891000"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`M_410000`
`M_410000_ERR`
`M_410001`
`M_410900`
`M_410908`
`M_410999`
`M_420000`
`M_420000_ERR`
`M_420001`
`M_420900`
`M_420999`
`M_430000`
`M_430000_ERR`
`M_430001`
`M_801000`
`M_801000_ERR`
`M_801001`
`M_801900`
`M_891000`

Method Summary
`static MessageNameType` | `fromValue(String v)`
`String` | `value()`
`static MessageNameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageNameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### M_801000

    public static final MessageNameType M_801000

### M_801000_ERR

    public static final MessageNameType M_801000_ERR

### M_801001

    public static final MessageNameType M_801001

### M_801900

    public static final MessageNameType M_801900

### M_410000

    public static final MessageNameType M_410000

### M_410001

    public static final MessageNameType M_410001

### M_410000_ERR

    public static final MessageNameType M_410000_ERR

### M_410900

    public static final MessageNameType M_410900

### M_410908

    public static final MessageNameType M_410908

### M_410999

    public static final MessageNameType M_410999

### M_420000

    public static final MessageNameType M_420000

### M_420001

    public static final MessageNameType M_420001

### M_420000_ERR

    public static final MessageNameType M_420000_ERR

### M_420900

    public static final MessageNameType M_420900

### M_420999

    public static final MessageNameType M_420999

### M_430000

    public static final MessageNameType M_430000

### M_430001

    public static final MessageNameType M_430001

### M_430000_ERR

    public static final MessageNameType M_430000_ERR

### M_891000

    public static final MessageNameType M_891000

Method Detail

### values

    public static MessageNameType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MessageNameType c : MessageNameType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MessageNameType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static MessageNameType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.